Package org.gradle.api.artifacts.result

## Interface ComponentResult

- All Known Subinterfaces:
    `ComponentArtifactsResult`, `ResolvedComponentResult`, `UnresolvedComponentResult`

      public interface ComponentResult

  The result of resolving a component.
  Since:
    2.0

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `ComponentIdentifier` | `getId()` | Returns the identifier of this component.

- - ### Method Detail

    - #### getId

          ComponentIdentifier getId()

      Returns the identifier of this component. This can be used to uniquely identify the component within the current build, but it is not necessarily unique between different builds.

      The return type is declared as an opaque `ComponentIdentifier`, however the identifier may also implement one of the following interfaces:

      - `ProjectComponentIdentifier` for those component instances which are produced by the current build.
      - `ModuleComponentIdentifier` for those component instances which are found in some repository.
      Returns:
        the identifier of this component